2.1 FlexNet versions supported

Different versions of ARM® Compiler use different versions of FlexNet.

ARM recommends that you use the latest available version of the FlexNet license server software. You can obtain the latest license server from the ARM Self-Service downloads area on silver.arm.com. The following table shows the minimum license server software version required to use the tools.

Table 2-1 FlexNet versions

Compilation tools version Windows Linux
ARM Compiler 5.06 11.12.1.0 11.12.1.0
ARM Compiler 5.05 11.12.1.0 11.12.1.0
ARM Compiler 5.04 11.10.1.0 11.10.1.0
ARM Compiler 5.03 11.10.1.0 11.10.1.0
ARM Compiler 5.02 10.8.10.0 10.8.10.0
ARM Compiler 5.01 10.8.10.0 10.8.10.0
ARM Compiler 5.0 10.8.7.0 10.8.7.0
ARM Compiler 4.1 10.8.7.0 10.8.7.0
RVCT 4.0 build 471 10.8.7.0 10.8.7.0
RVCT 4.0 10.8.5.0 9.2
RVCT 3.1 build 836 10.8.7.0 10.8.7.0
RVCT 3.1 build 739 10.8.5.0 10.8.5.0
RVCT 3.1 10.8.5.0 9.2
RVCT 3.0 10.8.5.0 10.8.0
RVCT 2.2 9.0.0 9.0.0
RVCT 2.1 9.0.0 9.0.0
RVCT 2.0 8.1b 8.1b
ADS 1.2 7.2i 7.2i
Non-ConfidentialPDF file icon PDF versionARM DUI0530M
Copyright © 2010-2016 ARM Limited or its affiliates. All rights reserved.